Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PolicyManager Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA::PolicyManager:

[legend]
Collaboration diagram for CORBA::PolicyManager:

[legend]
List of all members.

## Public Types
typedef PolicyManager_ptr | _ptr_type
typedef PolicyManager_var | _var_type
## Public Methods
virtual::CORBA::PolicyList * | get_policy_overrides (const CORBA::PolicyTypeSeq &ts ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_policy_overrides (const CORBA::PolicyList &policies, CORBA::SetOverrideType set_add ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , CORBA::InvalidPolicies )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
PolicyManager_ptr | _duplicate (PolicyManager_ptr obj)
PolicyManager_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
PolicyManager_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PolicyManager_ptr | _nil (void)
| Return a NULL object.
void | _tao_any_destructor (void *)
| Used in the implementation of CORBA::Any.
## Protected Methods
| PolicyManager (void)
virtual | ~PolicyManager (void)
## Private Methods
| PolicyManager (const PolicyManager &)
void | operator= (const PolicyManager &)

## Member Typedef Documentation

typedef PolicyManager_ptr CORBA::PolicyManager::_ptr_type

| Reimplemented from CORBA::Object. Reimplemented in CORBA::PolicyCurrent.

typedef PolicyManager_var CORBA::PolicyManager::_var_type

| Reimplemented from CORBA::Object. Reimplemented in CORBA::PolicyCurrent.

## Constructor & Destructor Documentation

CORBA::PolicyManager::PolicyManager | ( | void |  | ) | `[protected]`

CORBA::PolicyManager::~PolicyManager | ( | void |  | ) | `[protected, virtual]`

CORBA::PolicyManager::PolicyManager | ( | const PolicyManager & |  | ) | `[private]`

## Member Function Documentation

CORBA::PolicyManager_ptr CORBA::PolicyManager::_duplicate | ( | PolicyManager_ptr | obj | ) | `[static]`

const char * CORBA::PolicyManager::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Object. Reimplemented in CORBA::PolicyCurrent.

virtual CORBA::Boolean CORBA::PolicyManager::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented in CORBA::PolicyCurrent.

PolicyManager_ptr CORBA::PolicyManager::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from CORBA::Object. Reimplemented in CORBA::PolicyCurrent.

PolicyManager_ptr CORBA::PolicyManager::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Object. Reimplemented in CORBA::PolicyCurrent.

void CORBA::PolicyManager::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the implementation of CORBA::Any. Reimplemented from CORBA::Object. Reimplemented in CORBA::PolicyCurrent.

PolicyManager_ptr CORBA::PolicyManager::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented in CORBA::PolicyCurrent.

virtual ::CORBA::PolicyList* CORBA::PolicyManager::get_policy_overrides | ( | const CORBA::PolicyTypeSeq &ts | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_Policy_Manager, and TAO_Policy_Current.

CORBA::Boolean CORBA::PolicyManager::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from CORBA::Object. Reimplemented in CORBA::PolicyCurrent.

void CORBA::PolicyManager::operator= | ( | const PolicyManager & |  | ) | `[private]`

virtual void CORBA::PolicyManager::set_policy_overrides | ( | const CORBA::PolicyList & | policies,
|  | CORBA::SetOverrideType set_add | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , CORBA::InvalidPolicies )`[pure virtual]`

| Implemented in TAO_Policy_Manager, and TAO_Policy_Current.

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp